.cursor-pointer {
    cursor: pointer !important;
}

.cloudflare_container {
    position: absolute;
    bottom: 0;
    z-index: 99999;
    left: 0;
    right: 0;
    text-align: center;
}

.title__copy__button {
    cursor: pointer;
}

.output-div :is(ol, ul) {
    list-style: none;
    padding: unset;
}

.output-div :is(li) {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    margin-bottom: 10px;
}

textarea {
    /* resize: none; */
    border: 1px solid #e2e2e2 !important;
    /* box-shadow: 0 5px 15px 0 #3acd9933 !important; */
    width: 102%;
    border-radius: 6px;
    padding: 8px 16px;
    margin-bottom: 20px;
    margin-top: 10px;
}

textarea:focus {
    resize: none;
    border: 1px solid #e2e2e2 !important;
}

label {
    font-size: 16px;
    font-weight: 500;
    line-height: 24px;
}

.rotate-180 {
    transform: rotate(180deg);
    transition: transform 0.3s ease;
}

#checkSVG {
    width: 22.903;
    height: 19.395;
    fill: #0796b6;
    width: 18px;
    height: 18px;
    position: absolute;
    right: 10px;
}

.output-div:focus {
    outline: none;
}

.generate-btn {
    width: 70%;
    border-radius: 10px;
    color: #fff;
    background-color: #3acd99;
    border: unset;
    padding: 10px;
}

.output-div {
    max-height: 280px;
    background-color: #fff;
    flex: 1;
    padding: 16px;
    border: 1px solid #E2E2E2;
    border-bottom: none;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
    overflow: auto;
}

.text-sec {
    background: 0 0;
}

.justify-content-space-between {
    justify-content: space-between;
}

.text-area-info span {
    color: #333333;
    font-size: 16px;
    font-weight: 500;
}

.tool-span {
    border: 1px solid #e2e2e2;
    border-radius: 8px;
    padding: 20px 1em;
    margin-bottom: 20px;
    background-color: #F4F8F9;
}

.custom-input {
    padding: 8px 5px;
    border-radius: 5px !important;
}

.custom-input:focus {
    outline: unset;
}

.custom-select {
    position: relative;
    /* width: 200px; */
    border: 1px solid #ccc !important;
    border-radius: 5px;
    cursor: pointer;
}

.custom-select.active {
    border: 1px solid #333333 !important
}

.selected-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 8px;
}

.dropdown-content {
    display: none;
    grid-template-columns: repeat(1, 1fr);
    gap: 2px;
    position: absolute;
    top: 42px;
    left: 0;
    width: 100%;
    border-radius: 6px;
    background-color: #fff;
    z-index: 999;
    max-height: 170px;
    min-height: 100px;
    overflow-y: auto;
    padding: 2px;
    box-shadow: 0px 1px 2px 0px #3C40434D;
    box-shadow: 0px 2px 6px 0px #3C404326;
}

.dropdown-item {
    padding: 6px 8px;
    border-radius: 4px;
}

.flex-wrap-wrap {
    flex-wrap: wrap;
}

.dropdown-item:hover {
    background-color: #f4f4f4;
}

.selected {
    color: #0796b6;
    background-color: #f0f9fb;
}

.fa-check {
    margin-right: 5px;
    color: #0796b6;
}

.select-separator {
    border-left: 1px solid #e2e2e2;
    padding: 0px 10px;
}

.option_wrapper {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.dropdown-item:hover {
    color: #0796b6;
    background: #f0f9fb;
}

.shadowBox {
    padding-bottom: 40px;
    overflow: visible;
}

.gap-1 {
    gap: 10px;
}

.gap-2 {
    gap: 20px;
}

.flex-direction-column {
    flex-direction: column;
}

.text-wrap-nowrap {
    text-wrap: nowrap;
}

.flex-direction-column {
    flex-direction: column;
}

.mt-1 {
    margin-top: 10px;
}

.text-align-center {
    text-align: center;
}

.col-md-3 {
    font-size: 16px;
}

.essay-topic-result {
    margin-top: 32px;
    display: flex;
    flex-direction: column;
    position: relative;
}

.loading-overlay {
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    top: 0;
    height: 100%;
    z-index: 1111;
    margin-top: 12px;
}

.lds-dual-ring {
    top: 0;
}

.main-outputdiv {
    max-height: 310px;
    flex: 1;
    position: relative;
}

.output-footer {
    background-color: #fff;
    padding: 10px 16px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    border: 1px solid #E2E2E2;
    border-top: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
    min-height: 50px;
    border-top: 1px solid #e2e2e2;
}

.box-icon {
    width: 32px;
    height: 32px;
    /* background-color: #efeeee; */
    border-radius: 3px;
    color: #3c5057;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    font-size: 18px;
    display: flex;
    border-radius: 6px;
}

.wordsCount {
    font-size: 14px;
    color: #9e9da1;
    gap: 5px;
    display: none;
}

.tool-box-icon {
    display: flex;
    display: none;
    align-items: center;
    gap: 8px;
}


.title__content:focus {
    outline: unset;
}

/* Response Version Buttons */
.res_versions_options {
    position: relative;
    display: flex;
    /* justify-content: center; */
    align-items: center;
    gap: 6px;
}

.res_version {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 3px;
    cursor: pointer;
    color: #7f8384;
    border-radius: 6px;
    padding: 6px 10px;
    font-size: 14px;
    line-height: 20px;
    -webkit-transition: all 0.2s linear;
    -o-transition: all 0.2s linear;
    transition: all 0.2s linear;
}

.res_version:hover {
    color: #000;
}

.res_version.active {
    background: #FFFFFF;
    color: black !important;
    box-shadow: 0px 4px 4px 0px #0000000f;
}

.goProTxt {
    position: absolute;
    bottom: 40px;
    left: 0;
    z-index: 1000;
    display: flex;
    flex-direction: column;
    width: 250px;
    justify-content: center;
    align-items: end;
    border: 1px solid #1fafa8;
    background: white;
    border-radius: 6px;
    padding: 8px;
    color: #000000;
}

.goProTxt__header {
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.goProTxt span {
    font-size: 14px;
    text-wrap: nowrap;
}


.pro-btn {
    color: #fff !important;
    background-color: #3acd99;
    padding: 3px 12px;
    border-radius: 6px;
    font-weight: 700;
    line-height: 1.75;
    margin-top: 10px;
    text-align: center;
    cursor: pointer;
}

.pro-btn:hover {
    background-color: #49d4a3;
}

.response__header {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 16px;
    background: #F4F8F9;
    padding: 10px 16px;
    border: 1px solid #E2E2E2;
    border-bottom: 0;
    border-radius: 10px;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}

@media screen and (max-width: 550px) {
    .main-wrapper-tool {
        flex-direction: column;
        gap: 10px;
    }

    .col-md-6 {
        width: 100%;
        padding: 0;
    }

    label {
        text-align: start !important;
    }

    .loading-overlay {
        top: 0px;
    }

    .wordsCount {
        flex-wrap: wrap;
    }

    label {
        text-align: center;
        width: 100%;
    }

    .option_wrapper {
        justify-content: center;
    }

    .gap-2 {
        gap: 10px;
    }

    .heading-text {
        max-width: 100%;
    }

    .essay-topic-result {
        margin-top: 20px;
    }

    .output-footer {
        flex-direction: column;
        gap: 10px;
    }
}

@media (width>=550px) {
    .col-md-6 {
        width: 50%;
    }
}